# Class CIM_HostedBGPAttributes
extends CIM_HostedDependency

The class BGPAttributes is weak to the AutonomousSystem that contains it. This association formalizes that relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedBGPAttributes

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The class BGPAttributes is weak to the AutonomousSystem that contains it. This association formalizes that relationship.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedBGPAttributes | CIM_AutonomousSystem
Dependent | CIM_HostedBGPAttributes | CIM_BGPAttributes

## Class Methods